diff --git a/ruoyi-admin/pom.xml b/ruoyi-admin/pom.xml
index ba3cab482..9f2eba45c 100644
--- a/ruoyi-admin/pom.xml
+++ b/ruoyi-admin/pom.xml
@@ -65,21 +65,21 @@
-
- org.springframework.boot
- spring-boot-maven-plugin
- 2.1.1.RELEASE
-
- true
-
-
-
-
- repackage
-
-
-
-
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
org.apache.maven.plugins
maven-war-plugin
@@ -88,7 +88,62 @@
false
${project.artifactId}
-
+
+
+
+ org.apache.maven.plugins
+ maven-jar-plugin
+ 3.0.2
+
+
+ *.yml
+ logback.xml
+
+
+
+ false
+
+
+ true
+
+ lib/
+
+ com.ruoyi.RuoYiApplication
+
+
+
+
+
+
+
+ org.apache.maven.plugins
+ maven-assembly-plugin
+ 3.3.0
+
+
+
+ src/main/assembly/assembly.xml
+
+
+
+
+ make-assembly
+ package
+
+ single
+
+
+
+
+
+
+ org.apache.maven.plugins
+ maven-surefire-plugin
+ 2.22.0
+
+ true
+
+
${project.artifactId}
diff --git a/ruoyi-admin/src/main/assembly/assembly.xml b/ruoyi-admin/src/main/assembly/assembly.xml
new file mode 100644
index 000000000..a12c867c3
--- /dev/null
+++ b/ruoyi-admin/src/main/assembly/assembly.xml
@@ -0,0 +1,71 @@
+
+
+
+ bin
+
+ RuoYi-Vue-${project.version}
+
+
+
+ zip
+
+
+
+ false
+
+
+
+
+ false
+ lib
+ false
+
+
+
+
+
+
+ ${project.basedir}
+
+
+ README*
+ LICENSE*
+ NOTICE*
+
+
+
+
+
+ ${project.basedir}/src/main/resources
+ config
+
+ *.yml
+ logback.xml
+
+
+
+
+
+ ${project.basedir}/src/main/bin
+ bin
+ 755
+ 755
+ unix
+
+
+
+
+ ${project.build.directory}
+
+
+ *.jar
+
+
+
+
\ No newline at end of file
diff --git a/ruoyi-admin/src/main/bin/ry.sh b/ruoyi-admin/src/main/bin/ry.sh
new file mode 100644
index 000000000..16574e72f
--- /dev/null
+++ b/ruoyi-admin/src/main/bin/ry.sh
@@ -0,0 +1,91 @@
+#!/bin/sh
+# author ruoyi
+# ./ry.sh start 启动
+# ./ry.sh stop 停止
+# ./ry.sh restart 重启
+# ./ry.sh status 状态
+cd ..
+AppName=ruoyi-admin.jar
+
+# JVM参数
+JVM_OPTS="-Dname=$AppName -Duser.timezone=Asia/Shanghai -Xms512M -Xmx512M -XX:PermSize=256M -XX:MaxPermSize=512M -XX:+HeapDumpOnOutOfMemoryError -XX:+PrintGCDateStamps -XX:+PrintGCDetails -XX:NewRatio=1 -XX:SurvivorRatio=30 -XX:+UseParallelGC -XX:+UseParallelOldGC"
+APP_HOME=`pwd`
+LOG_PATH=$APP_HOME/logs/$AppName.log
+
+if [ "$1" = "" ];
+then
+ echo -e "\033[0;31m 未输入操作名 \033[0m \033[0;34m {start|stop|restart|status} \033[0m"
+ exit 1
+fi
+
+if [ "$AppName" = "" ];
+then
+ echo -e "\033[0;31m 未输入应用名 \033[0m"
+ exit 1
+fi
+
+function start()
+{
+ PID=`ps -ef |grep java|grep $AppName|grep -v grep|awk '{print $2}'`
+
+ if [ x"$PID" != x"" ]; then
+ echo "$AppName is running..."
+ else
+ nohup java -jar $JVM_OPTS $APP_HOME/$AppName --logging.config=$APP_HOME/config/logback.xml > /dev/null 2>&1 &
+ echo "Start $AppName success..."
+ fi
+}
+
+function stop()
+{
+ echo "Stop $AppName"
+
+ PID=""
+ query(){
+ PID=`ps -ef |grep java|grep $AppName|grep -v grep|awk '{print $2}'`
+ }
+
+ query
+ if [ x"$PID" != x"" ]; then
+ kill -TERM $PID
+ echo "$AppName (pid:$PID) exiting..."
+ while [ x"$PID" != x"" ]
+ do
+ sleep 1
+ query
+ done
+ echo "$AppName exited."
+ else
+ echo "$AppName already stopped."
+ fi
+}
+
+function restart()
+{
+ stop
+ sleep 2
+ start
+}
+
+function status()
+{
+ PID=`ps -ef |grep java|grep $AppName|grep -v grep|wc -l`
+ if [ $PID != 0 ];then
+ echo "$AppName is running..."
+ else
+ echo "$AppName is not running..."
+ fi
+}
+
+case $1 in
+ start)
+ start;;
+ stop)
+ stop;;
+ restart)
+ restart;;
+ status)
+ status;;
+ *)
+
+esac